### Function

# Gcr pkcs11_get_trust_store_slot

#### Declaration [src]

    GckSlot*
    gcr_pkcs11_get_trust_store_slot (
      void
    )

#### Description [src]

Selects an appropriate PKCS#11 slot to store trust assertions. The slot to use is normally configured automatically by the system.

This will only return a valid result after the `gcr_pkcs11_initialize()` method has been called.

When done with the `GckSlot`, use `g_object_unref()` to release it.

#### Return value

Type: `GckSlot`

The `GckSlot` to use for trust assertions, or null if not initialized or no appropriate trust store could be found.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.